Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.isim
Class ISim

    java.lang.Object
      ix.icore.IXAgent
          ix.ip2.Ip2
              ix.isim.ISim

    public class ISim

extends Ip2

This class is the entry point for starting an ISim agent. It essentially an Ip2 with the following modifications:

- it always has an ISimTimer associated with it that can be used to control other ISimTimers
- it has an ISimEngine associated with it that performs all the simulating of events; the interface to this simulator is provided as a "I-Sim Control" tool

Nested Class Summary
`static class` | `ISim.AnimatedObjectList`

Nested classes/interfaces inherited from class ix.ip2.Ip2
`Ip2.AddExtensionsHandler, Ip2.AddHandlersHandler`

Field Summary
`protected ISimEngine` | `simulator` the simulator used by this agent to modify the world state

Fields inherited from class ix.ip2.Ip2
`activityViewer, agentTypeName, annotationViewer, controller, domain, frame, issueViewer, logoImage, logoLine1, logoLine2, modelManager, optionManager, resetHooks, showOptions, stateViewer`

Fields inherited from class ix.icore.IXAgent
`contactManager, displayName, eventLogger, exitHooks, initialDisplayName, ipcName, ipcStrategyName, iSimTimer, knownAgents, nameListeners, startupDate, startupHooks, symbolName, textFrame, thisAgent`

Method Summary
`void` | `completeStartup()` This function creates the simulator that belongs to this ISim agent.
`ISimEngine` | `getISimEngine()` returns the simulation engine used by this ISim agent
`static void` | `main(java.lang.String[] argv)` This function creates the ISim I-X agent.
`protected void` | `setupISimTimer()` This function creates an ISimTimer for this ISim agent.

Methods inherited from class ix.ip2.Ip2
`addAboutInfo, addForwardingHandler, addHandlers, addHandlers, addResetHook, addTest, addTestMenuItems, addTool, clearAllButState, clearModel, do_reloadViewers, ensureTool, exit, getActivityPatternSyntaxes, getAgentTypeName, getController, getDomain, getFrame, getIp2ModelManager, getModelManager, getOptionManager, getPlan, handleInput, handleInputDirectly, handleNewActivity, handleNewChatMessage, handleNewConstraint, handleNewIssue, handleNewReport, initOptions, isReloadingViewers, loadDomain, loadInitialPlan, loadPlan, loadPlan, loadPlan, makeActivityViewer, makeAnnotationViewer, makeController, makeIp2Frame, makeIssueViewer, makeLogoPanel, makeModelManager, makeStateViewer, makeViewer, processCommandLineArguments, readDomain, readDomain, reloadViewers, reset, resetAllButState, resetViewers, savePlanAs, startup`

Methods inherited from class ix.icore.IXAgent
`addAgentNameListener, addExitHook, addStartupHook, displayMessage, do_mainStartup, fireSymbolNameChanged, getAgent, getAgentDisplayName, getAgentIPCName, getAgentStartupDate, getAgentSymbolName, getContactManager, getEventLogger, getISimTimer, getKnownAgents, handleReceivedReport, installAgentExtensions, installAgentExtensions, log, mainStartup, notePossibleNewContact, pre_handleInput, preprocessInput, reportInputException, setAgentSymbolName, startServer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### simulator

    protected ISimEngine simulator

  the simulator used by this agent to modify the world state

Method Detail

### completeStartup

    public void completeStartup()

  This function creates the simulator that belongs to this ISim agent. It is called automatically during the initialization of an Ip2. Use the getISimEngine() method to get the simulation engine.

  Overrides:
    `completeStartup` in class `Ip2`
  See Also:
    `Ip2Frame.becomeVisible()`

### getISimEngine

    public ISimEngine getISimEngine()

  returns the simulation engine used by this ISim agent

  Returns:
    ISimEngine the simulator

### setupISimTimer

    protected void setupISimTimer()

  This function creates an ISimTimer for this ISim agent. Whereas other IXAgents have an ISimTimer only if the "isim-agent-name" parameter has been given to them, an ISim agent always has an ISimTimer. This function is called automatically during the initialization of an IXAgent. Use this IXAgent's getISimTimer() method to retrieve the ISimTimer.

  Overrides:
    `setupISimTimer` in class `IXAgent`

### main

    public static void main(java.lang.String[] argv)

  This function creates the ISim I-X agent. It starts up everything around it incl. communication services and user interface by creating an ISim and calling its mainStartup(...) function.

  Parameters:
    `argv` - String[] parameters for this ISim agent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD